Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg.logger
Interface RemoteConfigSysLogAppender

All Superinterfaces:
  java.rmi.Remote, RemoteConfigAppender

    public interface RemoteConfigSysLogAppender

extends RemoteConfigAppender

The `RemoteConfigSysLogAppender` takes charge of managing Unix syslog appender specific properties.

Since:
  V8.1

Field Summary
`static java.lang.String[]` | `FACILITIES` Properties for the UNIX syslog facility contain FACILITY_KERN,FACILITY_USER,FACILITY_MAIL,FACILITY_DAEMON, FACILITY_AUTH,FACILITY_SYSLOG,FACILITY_LPR, FACILITY_NEWS,FACILITY_UUCP,FACILITY_CRON, FACILITY_AUTHPRIV, FACILITY_FTP,FACILITY_LOCAL0,FACILITY_LOCAL1, FACILITY_LOCAL2,FACILITY_LOCAL3,FACILITY_LOCAL4,FACILITY_LOCAL5, FACILITY_LOCAL6,FACILITY_LOCAL7.
`static java.lang.String` | `FACILITY_AUTH` Property for the UNIX syslog facility AUTH.
`static java.lang.String` | `FACILITY_AUTHPRIV` Property for the UNIX syslog facility AUTHPRIV.
`static java.lang.String` | `FACILITY_CRON` Property for the UNIX syslog facility CRON.
`static java.lang.String` | `FACILITY_DAEMON` Property for the UNIX syslog facility DAEMON.
`static java.lang.String` | `FACILITY_FTP` Property for the UNIX syslog facility FTP.
`static java.lang.String` | `FACILITY_KERN` Property for the UNIX syslog facility KERN.
`static java.lang.String` | `FACILITY_LOCAL0` Property for the UNIX syslog facility LOCAL0.
`static java.lang.String` | `FACILITY_LOCAL1` Property for the UNIX syslog facility LOCAL1.
`static java.lang.String` | `FACILITY_LOCAL2` Property for the UNIX syslog facility LOCAL2.
`static java.lang.String` | `FACILITY_LOCAL3` Property for the UNIX syslog facility LOCAL3.
`static java.lang.String` | `FACILITY_LOCAL4` Property for the UNIX syslog facility LOCAL4.
`static java.lang.String` | `FACILITY_LOCAL5` Property for the UNIX syslog facility LOCAL5.
`static java.lang.String` | `FACILITY_LOCAL6` Property for the UNIX syslog facility LOCAL6.
`static java.lang.String` | `FACILITY_LOCAL7` Property for the UNIX syslog facility LOCAL7.
`static java.lang.String` | `FACILITY_LPR` Property for the UNIX syslog facility LPR.
`static java.lang.String` | `FACILITY_MAIL` Property for the UNIX syslog facility MAIL.
`static java.lang.String` | `FACILITY_NEWS` Property for the UNIX syslog facility NEWS.
`static java.lang.String` | `FACILITY_SYSLOG` Property for the UNIX syslog facility SYSLOG.
`static java.lang.String` | `FACILITY_USER` Property for the UNIX syslog facility USER.
`static java.lang.String` | `FACILITY_UUCP` Property for the UNIX syslog facility UUCP.

Fields inherited from interface jet.server.api.rmi.admin.cfg.logger.RemoteConfigAppender
`DST_CONSOLE, DST_DAILY_ROLLING_FILE, DST_FILE, DST_LF5, DST_NTLOG, DST_ROLLING_FILE, DST_SOCKET, DST_SYSLOG, DST_TELNET, LAYOUT_HTML, LAYOUT_PATTERN, LAYOUT_SIMPLE, LAYOUT_TTCC, LAYOUT_XML, LAYOUTS, THRESHOLD_ALL, THRESHOLD_DEBUG, THRESHOLD_ERROR, THRESHOLD_FATAL, THRESHOLD_INFO, THRESHOLD_OFF, THRESHOLD_WARN, THRESHOLDS`

Method Summary
`java.lang.String` | `getFacility()` Gets the syslog appender facility.
`java.lang.String` | `getHost()` Sets the syslog appender host.
`java.lang.String` | `getLayout()` Gets the layout of the unix syslog appender.
`java.lang.String` | `getPatternConversion()` Gets the pattern conversion of the unix syslog appender.
`boolean` | `isPrintFacility()` Checks whether to print the syslog's facility.
`void` | `setFacility(java.lang.String facility)` Sets the syslog appender facility.
`void` | `setHost(java.lang.String host)` Sets the syslog appender host.
`void` | `setLayout(java.lang.String layout)` Sets the layout of the unix syslog appender.
`void` | `setPatternConversion(java.lang.String pattern)` Sets the appender's pattern conversion.
`void` | `setPrintFacility(boolean printFacility)` Sets the syslog appender's facility printing value.

Methods inherited from interface jet.server.api.rmi.admin.cfg.logger.RemoteConfigAppender
`getName, getThreshold, isSelected, setSelected, setThreshold`

Field Detail

### FACILITY_KERN

    static final java.lang.String FACILITY_KERN

  Property for the UNIX syslog facility KERN.

  See Also:
    Constant Field Values

### FACILITY_USER

    static final java.lang.String FACILITY_USER

  Property for the UNIX syslog facility USER.

  See Also:
    Constant Field Values

### FACILITY_MAIL

    static final java.lang.String FACILITY_MAIL

  Property for the UNIX syslog facility MAIL.

  See Also:
    Constant Field Values

### FACILITY_DAEMON

    static final java.lang.String FACILITY_DAEMON

  Property for the UNIX syslog facility DAEMON.

  See Also:
    Constant Field Values

### FACILITY_AUTH

    static final java.lang.String FACILITY_AUTH

  Property for the UNIX syslog facility AUTH.

  See Also:
    Constant Field Values

### FACILITY_SYSLOG

    static final java.lang.String FACILITY_SYSLOG

  Property for the UNIX syslog facility SYSLOG.

  See Also:
    Constant Field Values

### FACILITY_LPR

    static final java.lang.String FACILITY_LPR

  Property for the UNIX syslog facility LPR.

  See Also:
    Constant Field Values

### FACILITY_NEWS

    static final java.lang.String FACILITY_NEWS

  Property for the UNIX syslog facility NEWS.

  See Also:
    Constant Field Values

### FACILITY_UUCP

    static final java.lang.String FACILITY_UUCP

  Property for the UNIX syslog facility UUCP.

  See Also:
    Constant Field Values

### FACILITY_CRON

    static final java.lang.String FACILITY_CRON

  Property for the UNIX syslog facility CRON.

  See Also:
    Constant Field Values

### FACILITY_AUTHPRIV

    static final java.lang.String FACILITY_AUTHPRIV

  Property for the UNIX syslog facility AUTHPRIV.

  See Also:
    Constant Field Values

### FACILITY_FTP

    static final java.lang.String FACILITY_FTP

  Property for the UNIX syslog facility FTP.

  See Also:
    Constant Field Values

### FACILITY_LOCAL0

    static final java.lang.String FACILITY_LOCAL0

  Property for the UNIX syslog facility LOCAL0.

  See Also:
    Constant Field Values

### FACILITY_LOCAL1

    static final java.lang.String FACILITY_LOCAL1

  Property for the UNIX syslog facility LOCAL1.

  See Also:
    Constant Field Values

### FACILITY_LOCAL2

    static final java.lang.String FACILITY_LOCAL2

  Property for the UNIX syslog facility LOCAL2.

  See Also:
    Constant Field Values

### FACILITY_LOCAL3

    static final java.lang.String FACILITY_LOCAL3

  Property for the UNIX syslog facility LOCAL3.

  See Also:
    Constant Field Values

### FACILITY_LOCAL4

    static final java.lang.String FACILITY_LOCAL4

  Property for the UNIX syslog facility LOCAL4.

  See Also:
    Constant Field Values

### FACILITY_LOCAL5

    static final java.lang.String FACILITY_LOCAL5

  Property for the UNIX syslog facility LOCAL5.

  See Also:
    Constant Field Values

### FACILITY_LOCAL6

    static final java.lang.String FACILITY_LOCAL6

  Property for the UNIX syslog facility LOCAL6.

  See Also:
    Constant Field Values

### FACILITY_LOCAL7

    static final java.lang.String FACILITY_LOCAL7

  Property for the UNIX syslog facility LOCAL7.

  See Also:
    Constant Field Values

### FACILITIES

    static final java.lang.String[] FACILITIES

  Properties for the UNIX syslog facility contain FACILITY_KERN,FACILITY_USER,FACILITY_MAIL,FACILITY_DAEMON, FACILITY_AUTH,FACILITY_SYSLOG,FACILITY_LPR, FACILITY_NEWS,FACILITY_UUCP,FACILITY_CRON, FACILITY_AUTHPRIV, FACILITY_FTP,FACILITY_LOCAL0,FACILITY_LOCAL1, FACILITY_LOCAL2,FACILITY_LOCAL3,FACILITY_LOCAL4,FACILITY_LOCAL5, FACILITY_LOCAL6,FACILITY_LOCAL7.

Method Detail

### getLayout

    java.lang.String getLayout()
                               throws java.rmi.RemoteException

  Gets the layout of the unix syslog appender. Note: the Syslog can only support the following possible layouts:

              "Pattern"
              "HTML"
              "XML"
              "TTCC"
              "Simple"

  Returns:
    the layout value.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setLayout

    void setLayout(java.lang.String layout)
                   throws java.rmi.RemoteException

  Sets the layout of the unix syslog appender.

  Parameters:
    `layout` - the new layout value.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getPatternConversion

    java.lang.String getPatternConversion()
                                          throws java.rmi.RemoteException

  Gets the pattern conversion of the unix syslog appender.

  Returns:
    the pattern conversion, or null if the appender specified layout doesn't require the pattern conversion.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setPatternConversion

    void setPatternConversion(java.lang.String pattern)
                              throws java.rmi.RemoteException

  Sets the appender's pattern conversion. `setLayout` should be invoked first before attempting to invoke this method.

  Parameters:
    `pattern` - the pattern conversion value.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getHost

    java.lang.String getHost()
                             throws java.rmi.RemoteException

  Sets the syslog appender host.

  Returns:
    the syslog appender host.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setHost

    void setHost(java.lang.String host)
                 throws java.rmi.RemoteException

  Sets the syslog appender host.

  Parameters:
    `host` - the syslog appender host.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getFacility

    java.lang.String getFacility()
                                 throws java.rmi.RemoteException

  Gets the syslog appender facility. Note: the UNix Syslog appender can only provide the following possible facilities:

              "KERN"
              "USER"
              "MAIL"
              "DAEMON"
              "AUTH"
              "SYSLOG"
              "LPR"
              "NEWS"
              "UUCP"
              "CRON"
              "AUTHPRIV"
              "FTP"
              "LOCAL0"
              "LOCAL1"
              "LOCAL2"
              "LOCAL3"
              "LOCAL4"
              "LOCAL5"
              "LOCAL6"
              "LOCAL7"

  Returns:
    the syslog appender facility.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setFacility

    void setFacility(java.lang.String facility)
                     throws java.rmi.RemoteException

  Sets the syslog appender facility.

  Parameters:
    `facility` - the syslog appender facility.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isPrintFacility

    boolean isPrintFacility()
                            throws java.rmi.RemoteException

  Checks whether to print the syslog's facility.

  Returns:
    true if the facility will be printed, or else false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setPrintFacility

    void setPrintFacility(boolean printFacility)
                          throws java.rmi.RemoteException

  Sets the syslog appender's facility printing value.

  Parameters:
    `printFacility` - the boolean value of the syslog appender facility.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD